org.springframework.web.socket.sockjs.frame

## Interface SockJsFrameFormat

All Known Implementing Classes:
  DefaultSockJsFrameFormat

    public interface SockJsFrameFormat

Applies a transport-specific format to the content of a SockJS frame resulting in a content that can be written out. Primarily for use in HTTP server-side transports that push data.

Formatting may vary from simply appending a new line character for XHR polling and streaming transports, to a jsonp-style callback function, surrounding script tags, and more.

For the various SockJS frame formats in use, see implementations of `AbstractHttpSendingTransportHandler.getFrameFormat`

Since:
  4.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `format(SockJsFrame frame)`

### Method Detail

#### format

    String format(SockJsFrame frame)